FileParserUtils.h File Reference
`#include <string>`
`#include <iostream>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/algorithm/string.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::FileParserUtils

## Functions

template<typename T >
T | RDKit::FileParserUtils::stripSpacesAndCast (const std::string &input, bool acceptSpaces=false)
int | RDKit::FileParserUtils::toInt (const std::string &input, bool acceptSpaces=false)
double | RDKit::FileParserUtils::toDouble (const std::string &input, bool acceptSpaces=true)
std::string | RDKit::FileParserUtils::getV3000Line (std::istream *inStream, unsigned int &line)
bool | RDKit::FileParserUtils::ParseV3000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true, bool expectMEND=true)
bool | RDKit::FileParserUtils::ParseV2000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true)
Atom * | RDKit::FileParserUtils::replaceAtomWithQueryAtom (RWMol *mol, Atom *atom)